> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Agent Group API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/contact-center/api-list)</Badge>

Use this API to add an agent group with the given stream ID.

| **Method**        | POST                                                                                                                           |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| **Endpoint**      | `https://{{host}}/agentassist/api/v1/public/{{streamId}}/agent-groups`                                                         |
| **Content-Type**  | `application/json`                                                                                                             |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token) |
| **API Scope**     | SmartAssist Analytics                                                                                                          |

## Path Parameters

| **Parameter** | **Description**                                                             | **Type**         |
| ------------- | --------------------------------------------------------------------------- | ---------------- |
| `host`        | Environment URL, for example, `https://platform.kore.ai`                    | string, required |
| `BotId`       | BotId or StreamId. You can access it from the App Settings page of the bot. | string, required |

## Sample Request

```bash theme={null}
curl --location --request POST 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/agent-groups' \
      --header 'auth: {jwt-code}' \
      --header 'Content-Type: application/json' \
      --data-raw '
     {
      "name": "US West Coast team",
      "description": "US west coast team handles west side.",
     }'
```

## Body Parameters

| **Parameter** | **Description**                                            | **Type**         |
| ------------- | ---------------------------------------------------------- | ---------------- |
| `name`        | Name of the agent group, up to 50 characters.              | string, required |
| `description` | Brief description of the agent group, up to 50 characters. | string, required |

## Sample Response

```json theme={null}
{
    "name": "US West Coast team",
    "description": "US west coast team handles west side.",
}
```
